#include "baseentity.h"
#include "rendering.h"

class C_Light: public C_BaseEntity
{
public:
	virtual void Precache ( void ) override;
	virtual void Spawn( void ) override;
	virtual void Destroy( void ) override;
	virtual void Think( float fDelta ) override;
};

void C_Light::Precache()
{

}

void C_Light::Spawn()
{
};

void C_Light::Destroy()
{

}
void C_Light::Think( float fDelta )
{

};

LINK_CLIENT_ENTITY(C_Light, CLight)
